Subject: Re: bug#69246: 30.0.50; persistent key input delay after using vc commands in pgtk

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Feb 2024 07:55:57 +0200

> Date: Sat, 24 Feb 2024 22:24:04 +0000
> From: Nick OBrien <[email-masked]>
> Cc: [email-masked]
> 
> A few updates:
> 
> - After using my normal emacs config with GTK_IM_MODULE=none for a few
>   days, I did not encounter the input lag. When previously using
>   GTK_IM_MODULE=fcitx, I would have encountered the lag multiple times
>   during the same pattern of use.
> 
> - I tried installing ibus and following the steps in the original bug
>   report with GTK_IM_MODULE=ibus. I encountered the same lag I did with
>   fcitx.

Thanks for getting back to us.  AFAIU, this is a more-or-less general
problem, which happens with many GTK input methods, perhaps all of
them.  We now have an entry in PROBLEMS about this.